package com.gic.store.constant;

/**
 * 批处理导购返回信息
 * @ClassName: ImportClerkBatchResultEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2020/1/15 10:47 AM 
 */
public enum ImportStoreBatchResultEnum {
    A1("A1", "门店信息", "标记不导入", "门店域", "门店域为空"),
    A2("A2", "门店信息", "标记不导入", "门店域", "该门店域不存在"),
    A3("A3", "门店信息", "标记不导入", "门店code", "门店code重复"),
    A4("A4", "门店信息", "标记不导入", "门店code", "门店code为空"),
    A5("A5", "门店信息", "标记不导入", "门店名称", "门店名称为空"),
    B1("B1", "门店属性", "标记不导入", "店招品牌", "店招品牌不存在"),
    B2("B2", "门店属性", "标记不导入", "门店类型", "门店类型不存在"),
    B3("B3", "门店属性", "标记导入", "省市区", "省市区为空"),
    B4("B4", "门店属性", "标记不导入", "省市区", "省市区不存在"),
    B5("B5", "门店属性", "标记不导入", "自定义属性", "必填属性XXX未填"),
    E1("E1", "商户信息", "标记不导入", "商户", "商户ID非法"),
    ;
    /**
     * 错误码
     */
    private String code;
    /**
     * 规则分类
     */
    private String ruleClassfy;
    /**
     * 处理规则
     */
    private String processRule;
    /**
     * 字段信息
     */
    private String fieldInfo;
    /**
     * 返回信息
     */
    private String resultInfo;

    private ImportStoreBatchResultEnum(String code, String ruleClassfy, String processRule, String fieldInfo, String resultInfo) {
        this.code = code;
        this.ruleClassfy = ruleClassfy;
        this.processRule = processRule;
        this.fieldInfo = fieldInfo;
        this.resultInfo = resultInfo;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getRuleClassfy() {
        return ruleClassfy;
    }

    public void setRuleClassfy(String ruleClassfy) {
        this.ruleClassfy = ruleClassfy;
    }

    public String getProcessRule() {
        return processRule;
    }

    public void setProcessRule(String processRule) {
        this.processRule = processRule;
    }

    public String getFieldInfo() {
        return fieldInfo;
    }

    public void setFieldInfo(String fieldInfo) {
        this.fieldInfo = fieldInfo;
    }

    public String getResultInfo() {
        return resultInfo;
    }

    public void setResultInfo(String resultInfo) {
        this.resultInfo = resultInfo;
    }
}
