package com.gic.store.constant;

/**
 * @author zhiwj
 * @date 2019/7/2
 */
public enum WeekdayEnum {
    MONDAY(1, "周一"),
    TUESDAY(2, "周二"),
    WEDNESDAY(3, "周三"),
    THURSDAY(4, "周四"),
    FRIDAY(5, "周五"),
    SATURDAY(6, "周六"),
    SUNDAY(7, "周日");

    private int code;
    private String message;

    WeekdayEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public static String parse(int code) {
        for (WeekdayEnum weekday : values()) {
            if (weekday.getCode() == code) {
                return weekday.message;
            }
        }
        return null;
    }

}
