package com.gic.store.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 *  自定义属性属性值
  * @ClassName: StoreFieldSelectDTO 
  * @Description:    自定义属性属性值
  * @author guojuxing 
  * @date 2019/6/24 10:31 AM 
  */
public class StoreFieldSelectDTO implements Serializable {
    private static final long serialVersionUID = -7235035626761339994L;

    public interface SaveStoreFieldSelectValid {
    }

    public interface EditStoreFieldSelectValid {
    }


    /**
     *
     */
    @NotNull(message = "主键ID不能为空", groups = {EditStoreFieldSelectValid.class})
    private Integer storeFieldSelectId;

    /**
     * 属性名称
     */
    @NotBlank(message = "属性值名称不能为空", groups = {SaveStoreFieldSelectValid.class, EditStoreFieldSelectValid.class})
    private String storeFieldSelectName;

    /**
     * 属性code
     */
    private String storeFieldSelectCode;

    /**
     *
     */
    private Double sort;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 自定义属性字段ID
     */
    @NotNull(message = "自定义字段值不能为空", groups = {SaveStoreFieldSelectValid.class})
    private Integer storeFieldId;

    /**
     * 顺序
     */
    private Integer seq;

    public Integer getStoreFieldSelectId() {
        return storeFieldSelectId;
    }

    public void setStoreFieldSelectId(Integer storeFieldSelectId) {
        this.storeFieldSelectId = storeFieldSelectId;
    }

    public String getStoreFieldSelectName() {
        return storeFieldSelectName;
    }

    public void setStoreFieldSelectName(String storeFieldSelectName) {
        this.storeFieldSelectName = storeFieldSelectName;
    }

    public String getStoreFieldSelectCode() {
        return storeFieldSelectCode;
    }

    public void setStoreFieldSelectCode(String storeFieldSelectCode) {
        this.storeFieldSelectCode = storeFieldSelectCode;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStoreFieldId() {
        return storeFieldId;
    }

    public void setStoreFieldId(Integer storeFieldId) {
        this.storeFieldId = storeFieldId;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }
}
