package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreBusinessTimeDTO;

/**
 * @ClassName: StoreBusinessTimeApiService
 * @Description: 门店营业时间 
 * @author zhiwj
 * @date 2019/7/31 14:54
 */
public interface StoreBusinessTimeApiService {

    /**
     * @Title: listStoreBusinessTime
     * @Description: 查询列表
     * @author zhiwj 
     * @param enterpriseId
     * @param storeId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.store.dto.StoreBusinessTimeDTO>
     * @throws
     */
    ServiceResponse<StoreBusinessTimeDTO> listStoreBusinessTime(Integer enterpriseId, Integer storeId);
    
    /**
     * @Title: saveOrUpdateStoreBusinessTime
     * @Description: 保存
     * @author zhiwj 
     * @param storeBusinessTimeDTO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.store.dto.StoreBusinessTimeDTO>
     * @throws 
     */
    ServiceResponse<StoreBusinessTimeDTO> saveOrUpdateStoreBusinessTime(StoreBusinessTimeDTO storeBusinessTimeDTO);
    
    /**
     * @Title: deleteStoreBusinessTime
     * @Description: 删除
     * @author zhiwj 
     * @param storeBusinessTimeId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.store.dto.StoreBusinessTimeDTO>
     * @throws
     */
    ServiceResponse<StoreBusinessTimeDTO> deleteStoreBusinessTime(Integer storeBusinessTimeId);
}
