package com.gic.store.dao.mapper;

import com.gic.store.entity.TabAuthStoreLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabAuthStoreLogMapper {
    /**
     * 根据主键删除
     *
     * @param id 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuthStoreLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuthStoreLog record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabAuthStoreLog selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuthStoreLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuthStoreLog record);

    List<TabAuthStoreLog> listLogByKey(@Param("key") String key,
                                       @Param("status") Integer status);

    List<TabAuthStoreLog> listFailedStore(@Param("key") String key);

    List<TabAuthStoreLog> listLog(@Param("key") String key,
                                  @Param("storeInfoId") Integer storeInfoId,
                                  @Param("toEnterpriseId") Integer toEnterpriseId);

}