package com.gic.store.dao.mapper;

import com.gic.store.dto.ClerkLogDTO;
import com.gic.store.entity.TabClerkLog;
import com.github.pagehelper.Page;

public interface TabClerkLogMapper {
    /**
     * 根据主键删除
     *
     * @param clerkLogId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer clerkLogId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabClerkLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabClerkLog record);

    /**
     * 根据主键查询
     *
     * @param clerkLogId 主键
     * @return 实体对象
     */
    TabClerkLog selectByPrimaryKey(Integer clerkLogId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabClerkLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabClerkLog record);

    Page<TabClerkLog> listClerkLog(ClerkLogDTO clerkLogDTO);
}