package com.gic.store.dao.mapper;

import com.gic.store.entity.TabClerkTmp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabClerkTmpMapper {
    /**
     * 根据主键删除
     *
     * @param clerkTmpId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer clerkTmpId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabClerkTmp record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabClerkTmp record);

    /**
     * 根据主键查询
     *
     * @param clerkTmpId 主键
     * @return 实体对象
     */
    TabClerkTmp selectByPrimaryKey(Integer clerkTmpId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabClerkTmp record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabClerkTmp record);

    int countByClerk(@Param("enterpriseId") Integer enterpriseId, @Param("uuId") String uuId , @Param("errorMessage") String errorMessage);

    Integer countByImportFailClerk(@Param("enterpriseId") Integer enterpriseId, @Param("uuId") String uuId);

    void delClerkTmp(@Param("enterpriseId") Integer enterpriseId);

    List<TabClerkTmp> listClerkTmp(@Param("enterpriseId") Integer enterpriseId, @Param("isSuccess") Boolean isSuccess);

    List<TabClerkTmp> listUnImportClerk(@Param("enterpriseId") String enterpriseId);
}