package com.gic.store.dao.mapper;

import com.gic.store.entity.TabCity;
import com.gic.store.entity.TabCounty;
import com.gic.store.entity.TabProvince;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabCountyMapper {
    /**
     * 根据主键删除
     *
     * @param countyId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(String countyId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabCounty record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabCounty record);

    /**
     * 根据主键查询
     *
     * @param countyId 主键
     * @return 实体对象
     */
    TabCounty selectByPrimaryKey(String countyId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabCounty record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabCounty record);

    List<TabCounty> selectAllCounty();

    List<TabCounty> queryCounty(@Param("search")String search);
}