package com.gic.store.dao.mapper;

import com.gic.store.entity.TabIntegralStoreMove;

public interface TabIntegralStoreMoveMapper {
    /**
     * 根据主键删除
     *
     * @param storeMoveId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeMoveId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabIntegralStoreMove record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabIntegralStoreMove record);

    /**
     * 根据主键查询
     *
     * @param storeMoveId 主键
     * @return 实体对象
     */
    TabIntegralStoreMove selectByPrimaryKey(Integer storeMoveId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabIntegralStoreMove record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabIntegralStoreMove record);
}