package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreBusinessTime;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface TabStoreBusinessTimeMapper {
    /**
     * 根据主键删除
     *
     * @param storeBusinessTimeId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeBusinessTimeId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreBusinessTime record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreBusinessTime record);

    /**
     * 根据主键查询
     *
     * @param storeBusinessTimeId 主键
     * @return 实体对象
     */
    TabStoreBusinessTime selectByPrimaryKey(Integer storeBusinessTimeId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreBusinessTime record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreBusinessTime record);

    List<TabStoreBusinessTime> listBusinessTime(Integer storeId);

    int updateAllBuinessTime(@Param("weekday") String weekday, @Param("openTime")Date openTime, @Param("closeTime") Date closeTime,
                             @Param("enterpriseId") Integer enterpriseId);

    int updateBuinessTimeBystoreInfoIds(@Param("weekday") String weekday, @Param("openTime")Date openTime, @Param("closeTime") Date closeTime, @Param("storeInfoIdList") List<Integer> storeIdList);

    int deleteAllByEnterpriseId(@Param("enterpriseId") Integer enterpriseId);

    int deleteBystoreInfoIds(@Param("enterpriseId") Integer enterpriseId, @Param("storeInfoIdList") List<Integer> storeInfoIdList);
}