package com.gic.store.dao.mapper;

import com.gic.store.dto.StoreFieldRelDTO;
import com.gic.store.entity.TabStoreFieldRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabStoreFieldRelMapper {
    /**
     * 根据主键删除
     *
     * @param fieldRelationId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer fieldRelationId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreFieldRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreFieldRel record);

    /**
     * 根据主键查询
     *
     * @param fieldRelationId 主键
     * @return 实体对象
     */
    TabStoreFieldRel selectByPrimaryKey(Integer fieldRelationId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreFieldRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreFieldRel record);

    /**
     * 根据条件查询
     * @Title: selectByParams 
     * @Description:
      * @author guojuxing
     * @param record 
     * @return  com.gic.store.entity.TabStoreFieldRel 
      */
    TabStoreFieldRel selectByParams(TabStoreFieldRel record);

    /**
     * 批量删除
     * @Title: deleteFetch 
     * @Description:
      * @author guojuxing
     * @param storeFieldIdList
     * @param enterpriseId 
     * @return  void 
      */
    void deleteFetch(@Param("list") List<Integer> storeFieldIdList,@Param("enterpriseId") Integer enterpriseId);
    /**
     * 批量新增
     * @Title: saveFetch 
     * @Description:
      * @author guojuxing
     * @param dtoList 
     * @return  void 
      */
    void saveFetch(@Param("list") List<StoreFieldRelDTO> dtoList);
}