package com.gic.store.dao.mapper;

import com.gic.store.dto.StoreDTO;
import com.gic.store.dto.StoreSearchDBDTO;
import com.gic.store.entity.TabStoreInfo;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabStoreInfoMapper {
    /**
     * 根据主键删除
     *
     * @param storeId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreInfo record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreInfo record);

    /**
     * 根据主键查询
     *
     * @param storeId 主键
     * @return 实体对象
     */
    TabStoreInfo selectByPrimaryKey(Integer storeId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreInfo record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreInfo record);

    /**
     * 如果id不为null， 会查询storeId不为传入参数的数据；如果id为null， 会略过
     *
     * @param storeDTO
     * @return
     */
    Integer countBySelective(@Param("storeDTO") StoreDTO storeDTO);

    Integer countByBrandId(@Param("brandId") Integer brandId);

    Page<StoreDTO> listStore(@Param("store") StoreSearchDBDTO store);

    int updateAllStoreStatus(@Param("enterpriseId") Integer enterpriseId, @Param("value") int value);

    int updateStoreStatusBystoreInfoIds( @Param("value") int value, @Param("storeInfoIdList") List<Integer> storeIdList);

    int updateAllStoreConactsPhone(@Param("enterpriseId") Integer enterpriseId, @Param("value") String value);

    int updateStoreConactsPhoneBystoreInfoIds(@Param("value") String value, @Param("storeInfoIdList") List<Integer> storeInfoIdList);

    int updateAllStoreBrand(@Param("enterpriseId") Integer enterpriseId, @Param("value") String value);

    int updateStoreBrandBystoreInfoIds(@Param("enterpriseId") Integer enterpriseId, @Param("value") String value, @Param("storeInfoIdList") List<Integer> storeInfoIdList);

    StoreDTO getByStoreNameAndStoreCode(@Param("enterpriseId") Integer enterpriseId,@Param("storeName") String storeName, @Param("storeCode") String storeCode);

    List<Integer> listAllstoreInfoId(@Param("enterpriseId") Integer enterpriseId);

    TabStoreInfo getByStore(@Param("store") StoreDTO store);

    StoreDTO getDTOByStore(@Param("store") StoreDTO store);

    Integer getStoreOwnerByStoreInfoId(@Param("enterpriseId") Integer enterpriseId, @Param("storeInfoId") Integer storeInfoId);

    Integer getStoreIdByStoreInfoId(@Param("enterpriseId") Integer enterpriseId, @Param("storeInfoId") Integer storeInfoId);
}