package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreRegionRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabStoreRegionRelMapper {
    /**
     * 根据主键删除
     *
     * @param storeRegionRelId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeRegionRelId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreRegionRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreRegionRel record);

    /**
     * 根据主键查询
     *
     * @param storeRegionRelId 主键
     * @return 实体对象
     */
    TabStoreRegionRel selectByPrimaryKey(Integer storeRegionRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreRegionRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreRegionRel record);

    TabStoreRegionRel get(TabStoreRegionRel param);

    List<Integer> listByAuthorize(@Param("fromEnterpriseId") Integer fromEnterpriseId, @Param("toEnterpriseId") Integer toEnterpriseId);

    void delByRegionIds(@Param("enterpriseId") Integer enterpriseId, @Param("ids") List<Integer> delRelList, @Param("ownType") Integer ownType);

    TabStoreRegionRel getByRegionIdAndEnterpriseId(TabStoreRegionRel storeRegionRel);

    void updateStatusByOther(@Param("enterpriseId") Integer enterpriseId, @Param("regionId") Integer regionId, @Param("status") int status);
}