package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreStatusSetting;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabStoreStatusSettingMapper {
    /**
     * 根据主键删除
     *
     * @param storeStatusId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeStatusId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreStatusSetting record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreStatusSetting record);

    /**
     * 根据主键查询
     *
     * @param storeStatusId 主键
     * @return 实体对象
     */
    TabStoreStatusSetting selectByPrimaryKey(Integer storeStatusId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreStatusSetting record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreStatusSetting record);

    List<TabStoreStatusSetting> selectAll(@Param("enterpriseId") Integer enterpriseId);

    int delete(@Param("enterpriseId") Integer enterpriseId, @Param("id") Integer id);

    List<TabStoreStatusSetting> selectByRegionId(@Param("enterpriseId") Integer enterpriseId, @Param("regionId") Integer regionId);
}