package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreTag;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabStoreTagMapper {
    /**
     * 根据主键删除
     *
     * @param storeTagId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeTagId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreTag record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreTag record);

    /**
     * 根据主键查询
     *
     * @param storeTagId 主键
     * @return 实体对象
     */
    TabStoreTag selectByPrimaryKey(Integer storeTagId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreTag record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreTag record);

    List<TabStoreTag> listByEnterprise(@Param("enterpriseId") Integer enterpriseId);
}