package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreTmp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabStoreTmpMapper {
    /**
     * 根据主键删除
     *
     * @param storeTmpId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeTmpId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreTmp record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreTmp record);

    /**
     * 根据主键查询
     *
     * @param storeTmpId 主键
     * @return 实体对象
     */
    TabStoreTmp selectByPrimaryKey(Integer storeTmpId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreTmp record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreTmp record);

    int countByStore(@Param("enterpriseId") Integer enterpriseId,@Param("uuId") String uuId , @Param("errorMessage") String errorMessage);

    void delStoreTmp(@Param("enterpriseId") Integer enterpriseId);

    List<TabStoreTmp> listStoreTmp(@Param("enterpriseId") Integer enterpriseId, @Param("isSuccess") Boolean isSuccess);

    Integer countByImportFailStore(@Param("enterpriseId") Integer enterpriseId, @Param("uuId") String uuId);

    List<TabStoreTmp> listUnImportStore(@Param("enterpriseId") Integer enterpriseId);
}