package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreWidget;

public interface TabStoreWidgetMapper {
    /**
     * 根据主键删除
     *
     * @param storeWidgetId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeWidgetId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreWidget record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreWidget record);

    /**
     * 根据主键查询
     *
     * @param storeWidgetId 主键
     * @return 实体对象
     */
    TabStoreWidget selectByPrimaryKey(Integer storeWidgetId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreWidget record);

    /**
     * 根据主键更新记录，包括二进制大对象
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeyWithBLOBs(TabStoreWidget record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreWidget record);
}