package com.gic.store.service;

import com.gic.store.dto.StoreFieldRelDTO;
import com.gic.store.entity.TabStoreFieldRel;

import java.util.List;

/**
 * 企业门店属性字段关联接口
 * @ClassName: StoreFieldRelService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/23 9:34 AM 
 */
public interface StoreFieldRelService {

    /**
     * 新增
     * @Title: saveStoreFieldRel 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  void 
      */
    void saveStoreFieldRel(StoreFieldRelDTO dto);

    /**
     * 根据商户ID和字段ID查询
     * @Title: getByEnterpriseIdAndStoreFieldId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param storeFieldId 
     * @return  com.gic.store.entity.TabStoreFieldRel 
      */
    TabStoreFieldRel getByEnterpriseIdAndStoreFieldId(Integer enterpriseId, Integer storeFieldId);

    /**
     * 批量删除
     * @Title: deleteFetch 
     * @Description:
      * @author guojuxing
     * @param storeFieldIdList 
     * @return  void 
      */
    void deleteFetch(List<Integer> storeFieldIdList, Integer enterpriseId);

    /**
     * 批量新增
     * @Title: saveFetch 
     * @Description:
      * @author guojuxing
     * @param dtoList 
     * @return  void 
      */
    void saveFetch(List<StoreFieldRelDTO> dtoList);
}
