package com.gic.store.service.impl;

import com.gic.store.dao.mapper.TabStoreFieldRegionRelMapper;
import com.gic.store.dto.StoreFieldRegionMapDTO;
import com.gic.store.dto.StoreFieldRegionRelDTO;
import com.gic.store.service.StoreFieldRegionRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service("storeFieldRegionRelService")
public class StoreFieldRegionServiceImpl implements StoreFieldRegionRelService{
    @Autowired
    private TabStoreFieldRegionRelMapper tabStoreFieldRegionRelMapper;
    @Transactional(rollbackFor = Exception.class)
    @Override
    public void saveFetch(List<StoreFieldRegionRelDTO> list) {
        tabStoreFieldRegionRelMapper.saveFetch(list);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deleteByStoreFieldId(Integer storeFieldId) {
        tabStoreFieldRegionRelMapper.deleteByStoreFieldId(storeFieldId);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deleteFetchByStoreFieldIds(List<Integer> storeFieldIdList) {

    }

    @Override
    public List<Integer> listStoreFieldId(List<Integer> regionList) {
        return tabStoreFieldRegionRelMapper.listStoreFieldId(regionList);
    }

    @Override
    public List<StoreFieldRegionMapDTO> listByStoreFieldIdList(List<Integer> storeFieldIdList) {
        return tabStoreFieldRegionRelMapper.listByStoreFieldIdList(storeFieldIdList);
    }
}
