package com.gic.store.service.impl;

import com.gic.store.dao.mapper.TabStoreStatusSettingMapper;
import com.gic.store.entity.TabStoreStatusSetting;
import com.gic.store.service.StoreStatusSettingService;
import org.apache.commons.collections.CollectionUtils;
import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("storeStatusSettingService")
public class StoreStatusSettingServiceImpl implements StoreStatusSettingService {
    Logger logger = LogManager.getLogger(StoreStatusSettingServiceImpl.class);

    @Autowired
    private TabStoreStatusSettingMapper tabStoreStatusSettingMapper;
    @Override
    public boolean saveSetting(TabStoreStatusSetting tabStoreStatusSetting) {
        int i=0;
        List<TabStoreStatusSetting> list = this.tabStoreStatusSettingMapper.selectByRegionId(tabStoreStatusSetting.getEnterpriseId(), tabStoreStatusSetting.getRegionId());
        if(CollectionUtils.isNotEmpty(list)){
            tabStoreStatusSetting.setStoreStatusId(list.get(0).getStoreStatusId());
        }
        if(tabStoreStatusSetting.getStoreStatusId() != null){
            i = this.tabStoreStatusSettingMapper.updateByPrimaryKeySelective(tabStoreStatusSetting);
        }else {
            tabStoreStatusSetting.setCreateTime(new Date());
            tabStoreStatusSetting.setUpdateTime(new Date());
            i = this.tabStoreStatusSettingMapper.insert(tabStoreStatusSetting);
        }
        if(i > 0){
            return true;
        }
        return false;
    }

    @Override
    public List<TabStoreStatusSetting> listTabStoreStatusSetting(Integer enterpriseId) {
        if(enterpriseId == null){
            return null;
        }
        return this.tabStoreStatusSettingMapper.selectAll(enterpriseId);
    }

    @Override
    public boolean delete(Integer enterpriseId, Integer id) {
        int i= this.tabStoreStatusSettingMapper.delete(enterpriseId, id);
        if(i > 0){
            return true;
        }
        return false;
    }
}
