package com.gic.store.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.store.dao.mapper.TabStoreTagMapper;
import com.gic.store.dto.StoreTagDTO;
import com.gic.store.entity.TabStoreTag;
import com.gic.store.service.StoreTagService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("storeTagService")
public class StoreTagServiceImpl implements StoreTagService{
    @Autowired
    private TabStoreTagMapper tabStoreTagMapper;

    @Override
    public Integer save(StoreTagDTO dto) {
        dto.setCreateTime(new Date());
        dto.setUpdateTime(new Date());
        dto.setStatus(1);
        TabStoreTag record = EntityUtil.changeEntityNew(TabStoreTag.class, dto);
        tabStoreTagMapper.insert(record);
        return record.getStoreTagId();
    }

    @Override
    public void update(StoreTagDTO dto) {
        dto.setUpdateTime(new Date());
        TabStoreTag record = EntityUtil.changeEntityNew(TabStoreTag.class, dto);
        tabStoreTagMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabStoreTag getById(Integer storeTagId) {
        return tabStoreTagMapper.selectByPrimaryKey(storeTagId);
    }

    @Override
    public List<TabStoreTag> listByEnterprise(Integer enterpriseId) {
        return tabStoreTagMapper.listByEnterprise(enterpriseId);
    }
}
