package com.gic.store.strategy.impl;

import com.gic.store.entity.TabStoreGroup;
import com.gic.store.service.StoreGroupService;
import com.gic.store.service.StoreLogService;
import com.gic.store.service.StoreService;
import com.gic.store.strategy.BulkUpdateStoreStrtegy;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component("7")
public class StoreGroupStrategyImpl implements BulkUpdateStoreStrtegy {

    @Autowired
    private StoreLogService storeLogService;
    @Autowired
    private StoreGroupService storeGroupService;

    @Override
    public int bulkUpdateStore(String storeInfoIds, Integer enterpriseId, String value, StoreService storeService, Integer operatorId, String operatorName) {
        int i = storeService.bulkUpdateStoreGroup(storeInfoIds, enterpriseId, Integer.valueOf(value));
        if (i > 0) {
            List<Integer> storeIdList;
            if ("all".equals(storeInfoIds)) {
                storeIdList = storeService.listAllStoreId(enterpriseId);
            } else {
                storeIdList = new ArrayList<>();
                String[] storeIdArr = storeInfoIds.split(",");
                for (String s : storeIdArr) {
                    storeIdList.add(Integer.valueOf(s));
                }
            }
            TabStoreGroup group = storeGroupService.getStoreGroupById(Integer.valueOf(value));
            storeLogService.saveBulkStoreGroupLog(storeIdList, enterpriseId, operatorId, operatorName, "门店分组变更为【" + group.getStoreGroupName() + "】");
        }
        return i;
    }
}
