package com.gic.store.strategy.impl;

import com.gic.store.constant.StoreStatusEnum;
import com.gic.store.service.StoreLogService;
import com.gic.store.service.StoreService;
import com.gic.store.strategy.BulkUpdateStoreStrtegy;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component("1")
public class StoreStatusStrategyImpl implements BulkUpdateStoreStrtegy {

    @Autowired
    private StoreLogService storeLogService;

    @Override
    public int bulkUpdateStore(String storeInfoIds, Integer enterpriseId, String value, StoreService storeService, Integer operatorId, String operatorName) {
         int i = storeService.bulkUpdateStoreStatus(storeInfoIds, enterpriseId, value);
        if (i > 0) {
            List<Integer> storeInfoIdList;
            if ("all".equals(storeInfoIds)) {
                storeInfoIdList = storeService.listAllStoreId(enterpriseId);
            } else {
                storeInfoIdList = new ArrayList<>();
                String[] storeIdArr = storeInfoIds.split(",");
                for (String s : storeIdArr) {
                    storeInfoIdList.add(Integer.valueOf(s));
                }
            }
            storeLogService.saveBulkStoreStatusLog(storeInfoIdList, enterpriseId, operatorId, operatorName, "门店状态变更为【" + StoreStatusEnum.parseCode(Integer.parseInt(value)) + "】");
        }
        return i;
    }
}
